<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="stylesheet" type="text/css" href="CSS/styleHome.css"/>
<script src="JS/utils.js" charset="utf-8" defer></script>
<script src="JS/onlineMeetings.js" charset="utf-8" defer></script>
<script src="JS/SSEManagement.js" charset="utf-8" defer></script>
<title>Home</title>
</head>
<body>
	<a class="logoutLink" id="btnLogout" href="Logout">Logout</a>
	<br>
	<h1 id="h1Welcome"></h1>
	<div id="divError" class="errorMessage"></div>
	<table id="tableCreatedReunions">
		<caption>Riunioni indette da te</caption>
  		<thead>
    		<tr>
    			<th>Titolo</th>
    			<th>Data e Ora</th>
    			<th>Durata</th>
    			<th>Massimo numero di partecipanti</th>
    		</tr>
  		</thead>
  		<tbody id="tBodyCreatedReunions">
  		</tbody>
	</table>
	<div id="divNoCreatedReunions"></div>
	<br>
	<table id="tableInvitedReunions">
		<caption>Riunioni a cui sei stato invitato</caption>
  		<thead>
    		<tr>
    			<th>Titolo</th>
    			<th>Data e Ora</th>
    			<th>Durata</th>
    			<th>Massimo numero di partecipanti</th>
    		</tr>
  		</thead>
  		<tbody id="tBodyInvitedReunions">
  		</tbody>
	</table>
	<div id="divNoInvitedReunions"></div>
	<br>
	<form>
		<label class="formText">Titolo
			<input type="text" name="title" placeholder="Titolo" required/>
		</label>
		<br>
		<label class="formText">Data e Ora
			<input type="datetime-local"  name="dateTime" placeholder="Data e Ora" required/>
		</label>
		<br>
		<label class="formText">Durata (in minuti)
			<input type="number" name="duration" min="1" placeholder="Durata" required/>
		</label>
		<br>
		<label class="formText">Massimo numero di partecipanti (escluso l'organizzatore)
			<input type="number" name="maxParticipants" min="1" placeholder="Massimo numero partecipanti" required/>
		</label>
		<br>
		<input id="btnSubmitReunionCreation" type="button" value="Invia"/>
	</form>
	<div id="divModalPage">
		<div id="modal-content">
			<div id="errorModal" class="errorMessage"></div>
			<form>
				<div class="ordinaryText">Seleziona gli utenti da invitare</div>
				<table>
					<caption>Utenti registrati</caption>
		  		<thead>
		    		<tr>
		    			<th>Nome</th>
		    			<th>Cognome</th>
		    			<th>Username</th>
		    			<th>Email</th>
		    			<th>Invita</th>
		    		</tr>
		  		</thead>
		  		<tbody id="tBodyUsersSelection">
		  		</tbody>
			</table>
			<br>
			<input id="btnSubmitUsersSelection" class="btnModalPage" type="button" value="Invia">
			<input id="btnCancelUsersSelection" class="btnModalPage" type="button" value="Cancella">
		</form>
	</div>
	</div>
</body>
</html>
